<?php
declare(strict_types=1);

namespace App\EventListener;

use Doctrine\ORM\EntityManagerInterface;


/**
 * Trait Helper qui met à disposition des fonctions d'aide pour les EventListeners
 */
trait Helper
{
    private function hasChangeField(EntityManagerInterface $entityManager, $entity, string $field){
        return key_exists($field, $entityManager->getUnitOfWork()->getEntityChangeSet($entity));
    }
}